### Constructor

# Gegl Curvenew

#### Declaration [src]

    GeglCurve*
    gegl_curve_new (
      gdouble y_min,
      gdouble y_max
    )

#### Description [src]

Create a `GeglCurve` that can store a curve with values between `y_min` and `y_max`.

Returns the newly created `GeglCurve`.

#### Parameters

`y_min`

  Type: `gdouble`

  Minimum y value for curve.

`y_max`

  Type: `gdouble`

  Maximum y value for curve.

#### Return value

Type: `GeglCurve`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.